aboutsummaryrefslogtreecommitdiffstats
path: root/systems/build_base_machine.sh
diff options
context:
space:
mode:
Diffstat (limited to 'systems/build_base_machine.sh')
-rwxr-xr-xsystems/build_base_machine.sh20
1 files changed, 10 insertions, 10 deletions
diff --git a/systems/build_base_machine.sh b/systems/build_base_machine.sh
index 075d1723..37b74ffe 100755
--- a/systems/build_base_machine.sh
+++ b/systems/build_base_machine.sh
@@ -55,14 +55,11 @@ else
distro_dir="$OS_NAME"
fi
-if [ $# -eq 0 ]; then
- echo "No parameters provided - continuing with Normal Build"
- # build base system using OS specific scripts
- if [ -d "$distro_dir" ] && [ -e "$distro_dir/build_base_machine.sh" ]; then
- $SUDO $distro_dir/build_base_machine.sh || die "$distro_dir/build_base_machine.sh failed"
- else
- die "$distro_dir is not yet supported"
-fi
+# build base system using OS specific scripts
+if [ -d "$distro_dir" ] && [ -e "$distro_dir/build_base_machine.sh" ]; then
+ $SUDO $distro_dir/build_base_machine.sh || die "$distro_dir/build_base_machine.sh failed"
+else
+ die "$distro_dir is not yet supported"
fi
if [ -d "$distro_dir" ] && [ -e "$distro_dir/prepare_python_env.sh" ] ; then
@@ -71,8 +68,11 @@ else
die "$distro_dir is not yet supported"
fi
-if [ ! -d /lib/modules/`uname -r`/build ] ; then
- die "Kernel devel is not available for active kernel. It can be caused by recent kernel update. Please reboot and run $0 again."
+if [ $# -eq 0 ]; then
+ echo "No parameters provided - continuing with Lib checking"
+ if [ ! -d /lib/modules/`uname -r`/build ] ; then
+ die "Kernel devel is not available for active kernel. It can be caused by recent kernel update. Please reboot and run $0 again."
+ fi
fi
if [ $# -eq 0 ]; then